This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 832139 - webadmin: Cluster sub-tabs are (wrongfully) displayed in the Templates main tab
webadmin: Cluster sub-tabs are (wrongfully) displayed in the Templates main tab
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.1 RC
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: vszocs
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 12:08 EDT by Sharad Mishra
Modified: 2012-12-25 02:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-25 02:06:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (69.59 KB, image/jpeg)
2012-06-14 12:08 EDT, Sharad Mishra
no flags Details

  None (edit)
Description Sharad Mishra 2012-06-14 12:08:48 EDT
Created attachment 591861 [details]
screen shot

Description of problem: "Edit Policy" button is clickable but does nothing on clicking.


Version-Release number of selected component (if applicable):
oVirt Enterprise Virtualization Engine Manager Version: 3.1.0_0001-0.gitf093e0.fc17 

How reproducible:
I see it all the time.

Steps to Reproduce:
1. Go to http://localhost/webadmin/webadmin/WebAdmin.html#clusters-general
2. click on the "Edit Policy" button.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Einav Cohen 2012-06-18 07:33:56 EDT
Gilad: Note that this bug has been discovered on an oVirt version that includes your fix: http://gerrit.ovirt.org/#/c/4351/, so this needs to be checked.
Comment 2 Gilad Chaplik 2012-06-18 07:34:45 EDT
that's a strange bug, the template tab contains the cluster tab's sub tabs.

not related to edit policy. will investigate.
Comment 3 Einav Cohen 2012-06-18 07:40:49 EDT
(In reply to comment #2)
> that's a strange bug, the template tab contains the cluster tab's sub tabs.
> 
> not related to edit policy. will investigate.

Only now realized that the displayed main tab is the Templates one and not the Clusters one... this is the real bug.
Comment 4 Einav Cohen 2012-06-18 07:43:28 EDT
changing subject accordingly.
the real problem here is that the Cluster's "General" sub-tab is displayed within the Templates main tab.
After consulting with Gilad, it seems that due to an NPE, the sub-tabs aren't being refreshed appropriately. 
Needs to be investigated.
Comment 5 Gilad Chaplik 2012-06-18 07:45:12 EDT
(In reply to comment #2)
> that's a strange bug, the template tab contains the cluster tab's sub tabs.
> 
> not related to edit policy. will investigate.

Vojtech, I guess we can reach this scenario if we get a NPE or some other error. do you have any idea how to prevent it?
Comment 6 vszocs 2012-06-18 10:41:37 EDT
WebAdmin main and sub tab content areas are updated independently (they are bound to different GWTP places). For example, URL #vms will update main tab content area, and also hide sub tab content area (since initially there is no selection in the table). On the other hand, URL #vms-general will update sub tab content area. Whenever user selects something in the main table, GWTP place redirects to sub tab token to update sub tab content.

Most likely, as Gilad points out, this is caused by exception:
1. user is on Clusters main tab, with Cluster General sub tab being visible
2. user does something that reveals Templates main tab
3. exception in Templates main tab (presenter) breaks UI -> exception is thrown before AbstractMainTabWithDetailsPresenter.onReveal() is reached

I agree, we should prevent this from happening. Need to investigate this, as this is most likely on GWTP presenter lifecycle method level..
Comment 7 Itamar Heim 2012-12-25 02:06:44 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.